import java.util.HashMap;
import java.util.Map;

public class Test05 {
  private static final int MAX_SIZE = 50000;
  public static void main(String[] args) {
    String key = "key";
    Map<String, String> map = new HashMap<String, String>(MAX_SIZE);

    // ダミーデータ作成
    for(int i=0;i<MAX_SIZE;i++)
      map.put(String.valueOf(i), "aaa");
    map.put(key, "xyz");

    long start = 0;
    start = System.nanoTime();	// 計測開始
    try{
      for(int i=0;i<MAX_SIZE;i++){
        String str = map.get(key);  // （1）ローカル変数にバインドする
        if (str.equals("abc")){     // （2）ローカル変数を参照する
          // 1ミリ秒Sleepする
          // （空のループは実行時に削除される可能性あり）
          Thread.sleep(1);
        }
        if (str.equals("xyz")){     // （3）ローカル変数を参照する
          // 1ミリ秒Sleepする
          // （空のループは実行時に削除される可能性あり）
          Thread.sleep(1);
        }
      }
    }catch(InterruptedException e){
      e.getStackTrace();
    }
    System.out.println(System.nanoTime()-start);	// 計測終了
  }
}
