import java.util.ArrayList;
import java.util.Iterator;

public class Test21 {
  private static final int MAX_SIZE = 50000;
  public static void main(String[] args) {
    long start = 0;
    ArrayList<Integer> arrayList = new ArrayList<Integer>(MAX_SIZE);
    for(int i=0;i<MAX_SIZE;i++) {
      arrayList.add(i);
    }
    start = System.nanoTime();	// 計測開始
    try{
      for (Iterator<Integer> i = arrayList.iterator(); i.hasNext();i.next()) { // （1）
        // 1ミリ秒Sleepする（空のループは実行時に削除される可能性あり）
        Thread.sleep(1);
      }
    }catch(InterruptedException e){
      e.getStackTrace();
    }
    System.out.println(System.nanoTime()-start);	// 計測終了
  }
}
