public class Test12 {
  private static final int MAX_SIZE = 50000;
  public static void main(String[] args) {
    long start = 0;
    // 改善前のメソッドを50,000回実行する
    start = System.nanoTime();	// 計測開始
    for(int y=100;y<MAX_SIZE;y++){
      for(int m=1;m<13;m++){
        monthdays(y, m);
      }
    }
    System.out.println(System.nanoTime()-start);	// 計測終了
  }
  // [改善前]指定された年月の最終日を返す
  public static int monthdays(int y, int m) {
    // 毎回配列lastdayが作成されます
    int[]lastday =
          {31,28,31,30,31,30,31,31,30,31,30,31};  // （1）
    return m == 2 && leapyear(y) ? 29 : lastday[m-1];
  }
  // 閏年を判定する
  private static boolean leapyear(int y){
    if ((y % 4 == 0 && y % 100 != 0) || (y % 400 == 0)) {
      return true;  // 閏年である
    } else {
      return false; // 閏年ではない
    }
  }
}
