public class Test19 {
  private final static int MAX_SIZE = 50000;
  public static void main(String[] args) {
    long start = 0;

    int list1[] = new int[MAX_SIZE];

    start = System.nanoTime();	// 計測開始
    // ダミーデータ作成
    for(int i=0;i<MAX_SIZE;i++)
      list1[i] = i;

    // list1からlist2へ値をディープコピー
    int[] list2 = new int[list1.length];
    // System.arraycopyによるディープコピー
    System.arraycopy(list1, 0, list2, 0, MAX_SIZE-1); // （1）

    System.out.println(System.nanoTime()-start);	// 計測終了
  }
}
