import java.util.concurrent.atomic.AtomicInteger;

public class Test26 {
  private static final int MAX_SIZE = 50000;
  static AtomicInteger count = new AtomicInteger(0);	// （1）変数単位で同期
  public static void main(String[] args) {
    long start = 0;
    start = System.nanoTime();	// 計測開始
    for(int i=0;i<MAX_SIZE;i++){
      increment();
    }
    getCount();
    System.out.println(System.nanoTime()-start);	// 計測終了
  }

  // increment()は同時コール時に待たされない
  public static final void increment() {	// （2）
    count.incrementAndGet();
  }

  public static final int getCount() {
    return count.get();
  }
}
